Class Table Of Contents

- All Classes
- All Files
- API
  - comb
    - logging
      - PropertyConfigurator
      - Level
      - BasicConfigurator
      - Logger
      - appenders
        - RollingFileAppender
        - ConsoleAppender
        - Appender
        - FileAppender
        - JSONAppender
    - PromiseList
    - Promise
    - regexp
    - array
    - string
    - collections
      - Pool
      - Iterable
      - HashTable
      - MaxHeap
      - Heap
      - Stack
      - AVLTree
      - AnderssonTree
      - Collection
      - RedBlackTree
      - Tree
      - Queue
      - BinaryTree
      - PriorityQueue
      - MinHeap
    - plugins
      - Middleware
      - Broadcaster
    - number
    - characters
    - date
- comb.collections.PriorityQueue
- Methods
  - dequeue
  - enqueue

# Class comb.collections.PriorityQueue

Extends comb.collections.MinHeap.
PriorityQueue Implementation where the value with the highest priority moves to the front Priority starts at 0, and the greatest value being the lowest priority;
Defined in: PriorityQueue.js.

Fields borrowed from class comb.collections.Heap:
  count, isEmpty, keys, values

Methods borrowed from class comb.collections.Heap:
  clear, containsKey, containsValue, insert, peek, peekKey, print, remove
Methods borrowed from class comb.collections.Collection:
  concat, indexOf, join, lastIndexOf, slice, toString

Class Detail
comb.collections.PriorityQueue()
Method Detail
dequeue()
Removes the item with the highest priority from the queue

Returns:
  the value of the item

    return this.remove();

enqueue(priority, value)
Adds the value with the specified priority to the queue

Parameters:
{Number} priority
  the priority of the item 0 = Highest, n = lowest
value

    return this.insert(priority, value);

Documentation generated by JsDoc Toolkit 2.4.0 on Tue Jan 31 2012 16:14:12 GMT-0600 (CST)